#ifndef _SAUCER_PIECE_H_INCLUDED_
#define _SAUCER_PIECE_H_INCLUDED_

typedef struct _Piece *Piece;

typedef enum {
  PIECE_TYPE_FAIL,
  PIECE_TYPE_SUCCEED,
} PieceType_t;

#include "Block.h"

Piece Piece_Create(Block block, PieceType_t type);
Piece Piece_Destroy(Piece piece);
int Piece_Proc(Piece piece);
int Piece_MakePolygon(Piece piece);

#endif
